
%define lib_major 0
%define release %mkrel 1

# optional compile flags
%define enable_python 1
%{?_without_python: %define enable_python 0}

%define enable_mmx 0
%{?_with_mmx: %define enable_mmx 1}

%define enable_sse 0
%{?_with_sse: %define enable_sse 1}

%define enable_lzw 0
%{?_with_lzw: %define enable_lzw 1}

%if %enable_sse
%define enable_mmx 1
%endif

%define version 2.8.18
%define req_gtk_version 2.24.10

%define api_version 2.0
%define abi_version 2.8
%define libname	%mklibname gimp %{api_version} %{lib_major}
%define devlibname	%mklibname -d gimp %{api_version}

#-----------------------------------------------------------------------------------

Summary:	The GNU Image Manipulation Program
Summary(de):	Das GNU Image Manipulations Programm
Name:		gimp
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Graphics
URL:		http://www.gimp.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Source0:	ftp://ftp.gimp.org/pub/gimp/v%{abi_version}/gimp-%version.tar.xz
Patch0:		gimp-2.8.0-link.patch
Patch1:		gimp-2.8.14-gegl-0.3.patch
Patch2:		gimp-2.8.18-fix_GEGL_FTBFS.patch
Source13:	gimp-scripting-sample.pl
Source20:	gimp-splash.png
BuildConflicts:	libgimp1.3 libgimp1.3-devel
BuildRequires:	ImageMagick
BuildRequires:	aalib-devel
BuildRequires:	gtk-doc >= 1.0
BuildRequires:  libexif-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libalsa-devel
BuildRequires:	libmng-devel
BuildRequires: 	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	perl
BuildRequires:	xpm-devel
BuildRequires:  librsvg-devel
BuildRequires:	libxmu-devel
BuildRequires:	intltool
BuildRequires:  %{_lib}openjpeg1-devel
BuildRequires:	%{_lib}poppler-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	perl-XML-Parser >= 2.34-6
BuildRequires:	gtkhtml2-devel >= 1.99.5
BuildRequires:	libgtk+2.0-devel >= %{req_gtk_version}
%if %enable_python
BuildRequires:	pygtk2.0-devel >= 1.99.12
BuildRequires:	python-devel
%endif
BuildRequires:  automake
BuildRequires:  lcms-devel libwmf-devel
BuildRequires:  libhal-devel
BuildRequires:  libxext-devel
BuildRequires:  desktop-file-utils
BuildRequires:  babl-devel >= 0.1.10
BuildRequires:  %{_lib}gegl-devel
BuildRequires:  %{_lib}expat1-devel
Provides: 	gimp1_3 gimp2_0 gimp2_2
Obsoletes: 	gimp1_3 gimp2_0 gimp2_2
Requires:	%{libname} = %{version}
Requires:	%{_lib}poppler54
Requires:	%{_lib}gegl0.3_0  >= 0.3.0
Requires:	%{_lib}babl0.1_0 >= 0.1.12 
Requires:	gdk-pixbuf2.0 >= 2.26.0
Requires:	pango >= 1.29.4
Requires:	gtk+2.0 >= %{req_gtk_version}
Requires(post):  desktop-file-utils
Requires(postun):  desktop-file-utils
Obsoletes:	%name < %version


%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get them in ftp://ftp.gimp.org/pub/gimp/fonts/ if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

Build Options:
--without python        Disable pygimp (default enabled)
--with    mmx           Enable MMX code support (default disabled)
--with    sse           Enable SSE code support (default disabled)
--with    lzw           Enable LZW compression in GIF (default disabled)
#german
%description -l de
The GIMP ist ein Bildbearbeitungsprogramm, geeignet zur Fotoretusche, 
Bildkomposition und Bilderstellung. Viele Leute finden es extrem 
nützlich zum erstellen von Logos und anderen Grafiken für Webseiten. 

The Gimp hat viele der Werkzeuge und Filter, die man in kommerziellen 
Angeboten erwarten würde, und ebenfalls viele interessante Zusätze. 

Die GIMP bietet eine Vielzahl von Werkzeugen zur Bildbearbeitung, 
einschließlich Arbeiten mit Kanälen, Schichten, Effekten, Auswahl-
Pixel Abbildungen, Antialiasing und Konvertierungen mit mehreren 
Ebenen, sowie mehrfaches rückgängig machen der letzen Aktion. 

Diese Version von The GIMP enthält eine Einrichtung für Skripte, aber 
viele der enthaltenen Skripte verwenden Schriften, die wir nicht 
verwenden dürfen. Die GIMP FTP-Seite stellt ein Paket mit all den 
Schriftarten (die du selbst installieren kannst) zur Verfügung welche 
zur Ausführung der Skripte benötigt werden. Viele der Schriftarten 
haben ungewöhnliche Lizenzbestimmungen, all diese Lizenzen sind in 
dem Paket dokumentiert. 
Erhalte es unter : ftp://ftp.gimp.org/pub/gimp/fonts/ wenn du dies 
möchtest. Die Alternative, wähle existierende Schriftarten deines 
Systems aus bevor du das Skript ausführst.
Erstellungsoptionen:

--without python deaktiviert pygimp (Standard - aktiviert )
--with mmx aktiviert MMX Code Unterstützung (Standard - deaktiviert)
--with sse aktiviert SSE Code Unterstützung ( Standard - deaktiviert)
--with lzw aktiviert LZW compression in GIF ( Standard - deaktiviert)

%files -f gimp20.lang
%defattr(-,root,root,0755)
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/gimp
%{_bindir}/gimp-remote
%{_bindir}/gimp-%abi_version
%{_bindir}/gimp-console
%{_bindir}/gimp-console-%abi_version
%{_datadir}/applications/*
%{_datadir}/gimp
%dir %{_libdir}/gimp/%{api_version}
%dir %{_libdir}/gimp/%{api_version}/environ
%{_libdir}/gimp/%{api_version}/interpreters
%{_libdir}/gimp/%{api_version}/environ/default.env
%{_libdir}/gimp/%{api_version}/modules
%{_libdir}/gimp/%{api_version}/plug-ins
%exclude %{_libdir}/gimp/%{api_version}/plug-ins/*.py
%{_mandir}/man1/gimp*
%{_mandir}/man5/gimprc*
%_datadir/icons/hicolor/*/apps/gimp.png
#%_datadir/icons/hicolor/scalable/apps/gimp.svg
%config(noreplace) %{_sysconfdir}/gimp

%doc AUTHORS COPYING HACKING INSTALL NEWS
%doc README README.i18n  docs/Wilber*
%{_datadir}/appdata/gimp.appdata.xml
#------------------------------------------------------------------------

%package -n %{devlibname}
Summary:	GIMP plugin and extension development kit
Summary(de):	GIMP Plugin und Erweiterungen Entwickler KIT
Group:		Development/Libraries
Requires:	libgtk+2.0-devel >= %{req_gtk_version}

License:	LGPL
Requires:	%{libname} = %{version}
Provides:	gimp-devel = %{version}-%{release}
Provides:	gimp2-devel = %{version}-%{release}
Provides:	libgimp-devel = %{version}-%{release}

%description -n %{devlibname}
Static libraries and header files for writing GIMP plugins and extensions.
#german
%description -n %{devlibname} -l de
Statische Bibliotheken und Headerdateien zum erstellen von Plugins und
Erweiterungen für GIMP.

%files -n %{devlibname}
%defattr(-,root,root,0755)
%doc ChangeLog
%{_bindir}/gimptool-*
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/gimptool-*

#----------------------------------------------------------------------------------------

%package -n %libname
Summary:	GIMP libraries
Summary(de):	GIMP Bibliotheken
Group:		System/Libraries

License:	LGPL
Provides:	libgimp%{api_version} = %{version}-%{release}

%description -n %libname
This is the library that provides core GIMP functionality.
It enable other programs to use GIMP's features but is mainly intended
to be used by the GIMP and its "external" plugins.
#german
%description -n %libname -l de
Gemeinsam genutzte Bibliothek von GIMP.

%files -n %libname
%defattr(-,root,root,755)
%doc COPYING
%{_libdir}/libgimpconfig-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimp-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpthumb-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpbase-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpcolor-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpmath-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpmodule-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpui-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpwidgets-%{api_version}.so.%{lib_major}*

#--------------------------------------------------------------------------

%package python
Summary:	GIMP python extension
Summary(de):	Python Erweiterungen zu GIMP
Group:		Development/Python
Requires:	pygtk2.0
Requires:	python >= 2.7

%description python
This package contains the python modules for GIMP, which act as a
wrapper to libgimp allowing the writing of plug-ins for Gimp.
This is similar to script-fu, except that you can use the full set
of Python extension modules from the plug-in, and you write plug-in
in python instead of in scheme.
#german
%description python -l de
Dieses Paket enthält die Python Module für GIMP, welche als Wrapper 
fungiert, um libgimp das Schreiben von Erweiterungen für GIMP zu 
ermöglichen. Es ähnelt dem Skript „FU“, außer, dass du die ganzen 
Erweiterungsmodule von Python verwenden kannst und du Erweiterungen 
in Python schreibst anstatt in Scheme. 

%if %enable_python
%files python
%defattr(-,root,root,755)
%doc COPYING
%{_libdir}/gimp/%{api_version}/environ/pygimp.env
%{_libdir}/gimp/%{api_version}/python
%{_libdir}/gimp/%{api_version}/plug-ins/*.py
%{_libdir}/python%{pyver}/site-packages/*.pth
%endif

#----------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .link
%patch1 -p1 -b .gegl
%patch2 -p1

%build
#for patch1
autoreconf -vfi

export CFLAGS='-fPIC %{optflags}'
export CXXFLAGS='-fPIC %{optflags}'
export LDFLAGS='-pie'

%configure2_5x --enable-default-binary=yes --disable-static \
	--enable-mp=yes		\
%if %enable_python
	--enable-python=yes	\
%else
	--enable-python=no	\
%endif
%if %enable_lzw
	--with-gif-compression=lzw	\
%else
	--with-gif-compression=rle	\
%endif
	--enable-gtk-doc=no	


%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

install -m 0644 %SOURCE20 $RPM_BUILD_ROOT/%_datadir/gimp/2.0/images/gimp-splash.png

desktop-file-install --vendor=""\
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

ln -s /usr/bin/gimp-2.8 $RPM_BUILD_ROOT%{_bindir}/gimp-remote

# workaround broken help system                                                                               
HELP_DIR=$RPM_BUILD_ROOT%_datadir/gimp/%api_version/help/C
[[ -d $HELP_DIR ]] || mkdir -p $HELP_DIR
HELP_IDX=$HELP_DIR/introduction.html
echo -e '<HTML><HEAD><TITLE>GIMP Base Library</HEAD>\n<BODY><UL>' > $HELP_IDX

/bin/ls $RPM_BUILD_ROOT%_datadir/gtk-doc/html/*/index.html | sed -e "s@$RPM_BUILD_ROOT@@g" >> $HELP_IDX
perl -pi -e 's!(.*/html/)([^/]*)(/index.html)!<LI><A HREF="\1\2\3">\2</A>!g' $HELP_IDX

echo '</UL></BODY></HTML>' >> $HELP_IDX


# don't ship .la
find %buildroot -name '*.la'|xargs rm


%find_lang gimp20 --all-name

%if %enable_python
chmod 755 %buildroot%_libdir/gimp/%{api_version}/plug-ins/*.py
mkdir -p %{buildroot}%{_libdir}/python%{pyver}/site-packages
echo %_libdir/gimp/%{api_version}/python > %{buildroot}%{_libdir}/python%{pyver}/site-packages/gimp.pth
echo %_libdir/gimp/%{api_version}/plug-ins >> %{buildroot}%{_libdir}/python%{pyver}/site-packages/gimp.pth
%endif

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%update_desktop_database

%postun
%clean_desktop_database

%posttrans
/sbin/ldconfig



#--------------------------------------------------------------------

%changelog
* Wed Nov 30 2016 adrianomorselli <adrianomorselli> 2.8.18-1uplos2016
- rebuild

* Thu Jul 13 2016 bb <bb> 2.8.18-1pclos2016
- update

* Fri Jun 24 2016 bb <bb> 2.8.16-2pclos2016
- rebuild for 2016

* Sun Nov 22 2015 bb <bb> 2.8.16-1pclos2015
- update

